camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ramu <kesanar...@gmail.com>
Subject missing requirement osgi.wiring.package org.apache.cxf.interceptor
Date Fri, 21 Aug 2015 05:26:35 GMT
2015-08-21 10:49:48,624 | ERROR | 9c001-1-thread-1 | DeploymentAgent                 
| ?                                   ? | 83 - io.fabric8.fabric-agent -
1.2.0.redhat-133 | Unable to update agent
org.osgi.service.resolver.ResolutionException: Unable to resolve root:
missing requirement [root] osgi.identity; osgi.identity=xx-xx-xx;
type=osgi.bundle; version="[1.3.3.SNAPSHOT,1.3.3.SNAPSHOT]";
resolution:=mandatory [caused by: Unable to resolve xx-xx-xx/1.3.3.SNAPSHOT:
missing requirement [xx-xx-xx/1.3.3.SNAPSHOT] osgi.wiring.package;
filter:="(&(osgi.wiring.package=org.apache.cxf.interceptor)(version>=2.7.0)(!(version>=3.0.0)))"]
	at
org.apache.felix.resolver.Candidates.populateResource(Candidates.java:285)[83:io.fabric8.fabric-agent:1.2.0.redhat-133]
	at
org.apache.felix.resolver.Candidates.processCandidates(Candidates.java:454)[83:io.fabric8.fabric-agent:1.2.0.redhat-133]
	at
org.apache.felix.resolver.Candidates.populateResource(Candidates.java:266)[83:io.fabric8.fabric-agent:1.2.0.redhat-133]




--
View this message in context: http://camel.465427.n5.nabble.com/missing-requirement-osgi-wiring-package-org-apache-cxf-interceptor-tp5770874.html
Sent from the Camel Development mailing list archive at Nabble.com.

Mime
View raw message